import myClass from './Class.js'
import { allShipbillTableConfig } from './allShipbilltableConfig.js'

const customRender = (self, type) => {
  return (text, data) => {
    if (self.options[type] && Array.isArray(self.options[type])) {
      let value = self.options[type].find((item) => item.value === text)
      return value ? value.label : text
    }
    return text
  }
}

//销售单
export const setSalesColumns = (self, expData = []) => {

  let SalesTableConfig = allShipbillTableConfig(self,expData)
  SalesTableConfig.pop()
  return SalesTableConfig
}
